Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.request
Class DomainInfoRequest

    java.lang.Object
      de.knipp.rritoolkit.request.Request
          de.knipp.rritoolkit.request.DomainSimpleRequest
              de.knipp.rritoolkit.request.DomainInfoRequest

    public class DomainInfoRequest

extends DomainSimpleRequest

request to retrieve information about a given domain

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Field Summary
`private boolean` | `withProvider` flag whether provider information is desired
`private boolean` | `withRecursion` flag whether recurision is desired

Constructor Summary
`DomainInfoRequest()` constructor
`DomainInfoRequest(java.lang.String theDomainName)` constructor
`DomainInfoRequest(java.lang.String theDomainName, java.lang.String theEncodedDomainName)` constructor
`DomainInfoRequest(java.lang.String theDomainName, java.lang.String theEncodedDomainName, boolean recursion, boolean provider)` constructor

Method Summary
`protected void` | `addAttributes(XmlBuilder xb)` allow the addition of attributes to the request.
`DomainInfoResponse` | `execute(Port port)` execute the this request on the given port.
`protected java.lang.String` | `getActionCode()` return the action string for this request
`protected java.lang.String` | `getRequestElementName()` return the XML element name
`protected void` | `requestToKVList(KVList list)` method that needs to be implemented by subclasses for the key-value list conversion
`void` | `setWithProvider(boolean provider)` set whether the provider information shall be returned or not
`void` | `setWithRecursion(boolean recursion)` set whether contact data shall be retrieved also
`java.lang.String` | `toString()` return a string representation for debugging purposes
`boolean` | `withProvider()` return whether the provider information shall be returned or not
`boolean` | `withRecursion()` return whether contact data shall be retrieved also

Methods inherited from class de.knipp.rritoolkit.request.DomainSimpleRequest
`getDomainName, getEncodedDomainName, requestToXml, setDomainName, setDomainName`

Methods inherited from class de.knipp.rritoolkit.request.Request
`getClientTxnID, getProtocolVersion, setClientTxnID, toList, toXml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### withRecursion

    private boolean withRecursion

  flag whether recurision is desired

### withProvider

    private boolean withProvider

  flag whether provider information is desired

Constructor Detail

### DomainInfoRequest

    public DomainInfoRequest()

  constructor

### DomainInfoRequest

    public DomainInfoRequest(java.lang.String theDomainName,
                             java.lang.String theEncodedDomainName,
                             boolean recursion,
                             boolean provider)

  constructor

  Parameters:
    `theDomainName` - the domain name
    `theEncodedDomainName` - the encoded domain name, may be `null` for ASCII only domains
    `recursion` - if `true`, full contact data is retrieved also
    `provider` - if `true`, provider information is included

### DomainInfoRequest

    public DomainInfoRequest(java.lang.String theDomainName,
                             java.lang.String theEncodedDomainName)

  constructor

  Parameters:
    `theDomainName` - the domain name
    `theEncodedDomainName` - the encoded domain name, may be `null` for ASCII only domains

### DomainInfoRequest

    public DomainInfoRequest(java.lang.String theDomainName)

  constructor

  Parameters:
    `theDomainName` - the domain name

Method Detail

### execute

    public DomainInfoResponse execute(Port port)
                               throws java.io.IOException

  execute the this request on the given port.

  Overrides:
    `execute` in class `Request`
  Parameters:
    `port` - the port on which this request shall be executed
  Returns:
    the response
  Throws:
    `java.io.IOException` - if the execution failed

### getRequestElementName

    protected java.lang.String getRequestElementName()

  return the XML element name

  Specified by:
    `getRequestElementName` in class `DomainSimpleRequest`
  Returns:
    the element name

### addAttributes

    protected void addAttributes(XmlBuilder xb)
                          throws org.w3c.dom.DOMException,
                                 EncodeException

  allow the addition of attributes to the request. The default implementation is empty and should not be called by implementing subclasses

  Overrides:
    `addAttributes` in class `DomainSimpleRequest`
  Parameters:
    `xb` - the XML builder
  Throws:
    `org.w3c.dom.DOMException` - on DOM exceptions
    `EncodeException` - if the encoding fails for some reason

### getActionCode

    protected java.lang.String getActionCode()

  return the action string for this request

  Specified by:
    `getActionCode` in class `Request`
  Returns:
    the action string

### requestToKVList

    protected void requestToKVList(KVList list)
                            throws EncodeException

  method that needs to be implemented by subclasses for the key-value list conversion

  Overrides:
    `requestToKVList` in class `DomainSimpleRequest`
  Parameters:
    `list` - the list that has to be filled
  Throws:
    `EncodeException` - if the encoding fails for some reason

### toString

    public java.lang.String toString()

  return a string representation for debugging purposes

  Overrides:
    `toString` in class `DomainSimpleRequest`
  Returns:
    the representation

### withProvider

    public boolean withProvider()

  return whether the provider information shall be returned or not

  Returns:
    `true` if provider information shall be returned

### setWithProvider

    public void setWithProvider(boolean provider)

  set whether the provider information shall be returned or not

  Parameters:
    `provider` - `true` if provider information shall be returned

### withRecursion

    public boolean withRecursion()

  return whether contact data shall be retrieved also

  Returns:
    `true` if so

### setWithRecursion

    public void setWithRecursion(boolean recursion)

  set whether contact data shall be retrieved also

  Parameters:
    `recursion` - `true` if contact data shall be retrieved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH